Bug 1996136 - Need to remove "Background" Download policy for Capsule
Summary: Need to remove "Background" Download policy for Capsule
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule - Content
Version: 6.10.0
Hardware: x86_64
OS: Linux
medium
high vote
Target Milestone: 6.10.0
Assignee: Ian Ballou
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-20 16:04 UTC by Ashish Humbe
Modified: 2021-11-16 14:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:13:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
Capsule Download Policy (111.22 KB, image/png)
2021-08-20 16:04 UTC, Ashish Humbe
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33468 0 None None None 2021-09-10 18:48:44 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:13:30 UTC

Description Ashish Humbe 2021-08-20 16:04:18 UTC
Created attachment 1816102 [details]
Capsule Download Policy

Description of problem:

On the Capsule Edit page, we can still set the " Background" download policy but we have removed it from other pages in Satellite 6.10 so it should be removed from the Capsule Edit page too.

Version-Release number of selected component (if applicable):
Satellite 6.10 SNAP 14


Steps to Reproduce:
1. Navigate to Infrastructure -> Capsule 
2. Click on Edit button under the "Actions" column for External Capsule
3. Under Download Policy we can still see " Background " policy.

Comment 1 Justin Sherrill 2021-09-23 14:40:51 UTC
Connecting redmine issue https://projects.theforeman.org/issues/33468 from this bug

Comment 2 Brad Buckingham 2021-09-28 15:28:26 UTC
Moving to POST as upstream PR is merged.

Comment 5 Vladimír Sedmík 2021-10-01 16:12:04 UTC
Verified on 6.10.0 snap 21 - the Background download policy was removed from WebUI and `hammer capsule/proxy create/update`

Comment 8 errata-xmlrpc 2021-11-16 14:13:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.